Ruby: JSON_Generator_StateStruct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
JSON_Generator_StateStruct Struct Reference

`#include <generator.h>`

## Data Fields
char * | indent
long | indent_len
char * | space
long | space_len
char * | space_before
long | space_before_len
char * | object_nl
long | object_nl_len
char * | array_nl
long | array_nl_len
FBuffer * | array_delim
FBuffer * | object_delim
FBuffer * | object_delim2
long | max_nesting
char | allow_nan
char | ascii_only
char | escape_slash
long | depth
long | buffer_initial_length

## Detailed Description

Definition at line 58 of file generator.h.

## Field Documentation

## ◆ allow_nan

char JSON_Generator_StateStruct::allow_nan

Definition at line 73 of file generator.h.

## ◆ array_delim

FBuffer* JSON_Generator_StateStruct::array_delim

Definition at line 69 of file generator.h.

## ◆ array_nl

char* JSON_Generator_StateStruct::array_nl

Definition at line 67 of file generator.h.

## ◆ array_nl_len

long JSON_Generator_StateStruct::array_nl_len

Definition at line 68 of file generator.h.

## ◆ ascii_only

char JSON_Generator_StateStruct::ascii_only

Definition at line 74 of file generator.h.

## ◆ buffer_initial_length

long JSON_Generator_StateStruct::buffer_initial_length

Definition at line 77 of file generator.h.

## ◆ depth

long JSON_Generator_StateStruct::depth

Definition at line 76 of file generator.h.

## ◆ escape_slash

char JSON_Generator_StateStruct::escape_slash

Definition at line 75 of file generator.h.

## ◆ indent

char* JSON_Generator_StateStruct::indent

Definition at line 59 of file generator.h.

## ◆ indent_len

long JSON_Generator_StateStruct::indent_len

Definition at line 60 of file generator.h.

## ◆ max_nesting

long JSON_Generator_StateStruct::max_nesting

Definition at line 72 of file generator.h.

## ◆ object_delim

FBuffer* JSON_Generator_StateStruct::object_delim

Definition at line 70 of file generator.h.

## ◆ object_delim2

FBuffer* JSON_Generator_StateStruct::object_delim2

Definition at line 71 of file generator.h.

## ◆ object_nl

char* JSON_Generator_StateStruct::object_nl

Definition at line 65 of file generator.h.

## ◆ object_nl_len

long JSON_Generator_StateStruct::object_nl_len

Definition at line 66 of file generator.h.

## ◆ space

char* JSON_Generator_StateStruct::space

Definition at line 61 of file generator.h.

## ◆ space_before

char* JSON_Generator_StateStruct::space_before

Definition at line 63 of file generator.h.

## ◆ space_before_len

long JSON_Generator_StateStruct::space_before_len

Definition at line 64 of file generator.h.

## ◆ space_len

long JSON_Generator_StateStruct::space_len

Definition at line 62 of file generator.h.

The documentation for this struct was generated from the following file:

- ext/json/generator/generator.h